## GnomeDbDsnEditor

GnomeDbDsnEditor — A form to modify datasource information

##

# Synopsis

    struct      GnomeDbDsnEditor;
    struct      GnomeDbDsnEditorClass;
    struct      GnomeDbDsnEditorPrivate;
    GtkWidget*  gnome_db_dsn_editor_new         (void);
    const GdaDsnInfo* gnome_db_dsn_editor_get_dsn
                                                (GnomeDbDsnEditor *config);
    void        gnome_db_dsn_editor_set_dsn     (GnomeDbDsnEditor *config,
                                                 const GdaDsnInfo *dsn_info);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbDsnEditor

## Implemented Interfaces

GnomeDbDsnEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Signal Prototypes

    "changed"   void        user_function      (GnomeDbDsnEditor *dbdsneditor,
                                                gpointer user_data);

## Description

The GnomeDbDsnEditor widget contains a form to edit all the attributes of a DSN (except for its name), including provider selection, username and password, and provider specific information to open a connection.

## Details

### struct GnomeDbDsnEditor

    struct GnomeDbDsnEditor;

### struct GnomeDbDsnEditorClass

    struct GnomeDbDsnEditorClass {

    	GtkVBoxClass parent_class;

    	/* signals */
    	void (* changed) (GnomeDbDsnEditor *config);
    };

### struct GnomeDbDsnEditorPrivate

    struct GnomeDbDsnEditorPrivate;

### gnome_db_dsn_editor_new ()

    GtkWidget*  gnome_db_dsn_editor_new         (void);

Returns : |

### gnome_db_dsn_editor_get_dsn ()

    const GdaDsnInfo* gnome_db_dsn_editor_get_dsn
                                                (GnomeDbDsnEditor *config);

`config` : |
Returns : | a pointer to the currently configured DSN (do not modify)

### gnome_db_dsn_editor_set_dsn ()

    void        gnome_db_dsn_editor_set_dsn     (GnomeDbDsnEditor *config,
                                                 const GdaDsnInfo *dsn_info);

Requests that `editor` update its contents with `dsn_info`'s contents

`config` : |
`dsn_info` : | a GdaDsnInfo pointer or `NULL`

## Signals

### The "changed" signal

    void        user_function                  (GnomeDbDsnEditor *dbdsneditor,
                                                gpointer user_data);

`dbdsnconfig` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

## See Also

The GnomeDbDsnAssistant to create a new DSN using an assistant.